summaryrefslogtreecommitdiff
path: root/net-libs/opal
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-libs/opal
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-libs/opal')
-rw-r--r--net-libs/opal/files/opal-3.4.1-eapi2.patch59
-rw-r--r--net-libs/opal/files/opal-lpcini.patch11
-rw-r--r--net-libs/opal/opal-3.4.1.ebuild68
-rw-r--r--net-libs/opal/opal-3.4.2.ebuild70
-rw-r--r--net-libs/opal/opal-3.6.0.ebuild70
-rw-r--r--net-libs/opal/opal-9999.ebuild79
6 files changed, 357 insertions, 0 deletions
diff --git a/net-libs/opal/files/opal-3.4.1-eapi2.patch b/net-libs/opal/files/opal-3.4.1-eapi2.patch
new file mode 100644
index 0000000..a9c0346
--- /dev/null
+++ b/net-libs/opal/files/opal-3.4.1-eapi2.patch
@@ -0,0 +1,59 @@
+--- opal-3.4.1.ebuild 2008-10-09 19:47:27.000000000 -0400
++++ opal-3.4.1-eapi2.ebuild 2008-10-09 20:06:51.000000000 -0400
+@@ -4,6 +4,8 @@
+
+ inherit eutils
+
++EAPI="2"
++
+ DESCRIPTION="C++ class library normalising numerous telephony protocols"
+ HOMEPAGE="http://www.ekiga.org"
+ SRC_URI="http://www.ekiga.org/admin/downloads/latest/sources/sources/${P}.tar.gz"
+@@ -13,33 +15,16 @@
+ KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+ IUSE="debug doc java"
+
+-RDEPEND="~dev-libs/ptlib-2.4.1
++RDEPEND="~dev-libs/ptlib-2.4.1[debug=]
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+-pkg_setup() {
+- if use debug && ! built_with_use dev-libs/ptlib debug; then
+- eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+- die "dev-libs/ptlib has to be built with USE=debug"
+- fi
+-
+- if ! use debug && built_with_use dev-libs/ptlib debug; then
+- eerror "You need to build dev-libs/ptlib without USE=debug."
+- die "dev-libs/ptlib has not to be built with USE=debug"
+- fi
+-}
+-
+-src_unpack() {
+- unpack ${A}
+- cd "${S}"
+-
++src_prepare() {
+ epatch "${FILESDIR}"/${P}-lpcini.patch
+ }
+
+-src_compile() {
+- local makeopts
+-
++src_configure() {
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+@@ -49,6 +34,10 @@
+ --disable-localspeex \
+ --disable-zrtp \
+ || die "econf failed"
++}
++
++src_compile() {
++ local makeopts
+
+ if use debug; then
+ makeopts="debug"
diff --git a/net-libs/opal/files/opal-lpcini.patch b/net-libs/opal/files/opal-lpcini.patch
new file mode 100644
index 0000000..a59ef79
--- /dev/null
+++ b/net-libs/opal/files/opal-lpcini.patch
@@ -0,0 +1,11 @@
+--- plugins/audio/LPC_10/src/lpcini.c.orig 2008-09-24 23:01:05.000000000 -0400
++++ plugins/audio/LPC_10/src/lpcini.c 2008-09-25 00:39:34.000000000 -0400
+@@ -50,6 +50,8 @@
+ #ifdef _MSC_VER
+ #include <malloc.h>
+ #endif
++#else
++ extern void * malloc();
+ #endif
+
+ /* Common Block Declarations */
diff --git a/net-libs/opal/opal-3.4.1.ebuild b/net-libs/opal/opal-3.4.1.ebuild
new file mode 100644
index 0000000..64a3a70
--- /dev/null
+++ b/net-libs/opal/opal-3.4.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.ekiga.org"
+SRC_URI="http://www.ekiga.org/admin/downloads/latest/sources/sources/${P}.tar.gz"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug doc java"
+
+RDEPEND="~dev-libs/ptlib-2.4.1
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+pkg_setup() {
+ if use debug && ! built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+ die "dev-libs/ptlib has to be built with USE=debug"
+ fi
+
+ if ! use debug && built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib without USE=debug."
+ die "dev-libs/ptlib has not to be built with USE=debug"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${P}-lpcini.patch
+}
+
+src_compile() {
+ local makeopts
+
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+ $(use_enable debug) \
+ $(use_enable java) \
+ --enable-plugins \
+ --disable-localspeex \
+ --disable-zrtp \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="debug"
+ else
+ makeopts="opt"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* docs/* || die "documentation installation failed"
+ fi
+}
diff --git a/net-libs/opal/opal-3.4.2.ebuild b/net-libs/opal/opal-3.4.2.ebuild
new file mode 100644
index 0000000..7231f62
--- /dev/null
+++ b/net-libs/opal/opal-3.4.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug doc java"
+
+RDEPEND=">=dev-libs/ptlib-2.0.0
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+pkg_setup() {
+ if use debug && ! built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+ die "dev-libs/ptlib has to be built with USE=debug"
+ fi
+
+ if ! use debug && built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib without USE=debug."
+ die "dev-libs/ptlib has not to be built with USE=debug"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${PN}-lpcini.patch
+}
+
+src_compile() {
+ local makeopts
+
+ filter-ldflags -Wl,--as-needed --as-needed
+
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+ $(use_enable debug) \
+ $(use_enable java) \
+ --enable-plugins \
+ --disable-localspeex \
+ --disable-zrtp \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="debug"
+ else
+ makeopts="opt"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* docs/* || die "documentation installation failed"
+ fi
+}
diff --git a/net-libs/opal/opal-3.6.0.ebuild b/net-libs/opal/opal-3.6.0.ebuild
new file mode 100644
index 0000000..c11179e
--- /dev/null
+++ b/net-libs/opal/opal-3.6.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug doc java"
+
+RDEPEND=">=dev-libs/ptlib-2.0.0
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+pkg_setup() {
+ if use debug && ! built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+ die "dev-libs/ptlib has to be built with USE=debug"
+ fi
+
+ if ! use debug && built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib without USE=debug."
+ die "dev-libs/ptlib has not to be built with USE=debug"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+# epatch "${FILESDIR}"/${PN}-lpcini.patch
+}
+
+src_compile() {
+ local makeopts
+
+ filter-ldflags -Wl,--as-needed --as-needed
+
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+ $(use_enable debug) \
+ $(use_enable java) \
+ --enable-plugins \
+ --disable-localspeex \
+ --disable-zrtp \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="debug"
+ else
+ makeopts="opt"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* docs/* || die "documentation installation failed"
+ fi
+}
diff --git a/net-libs/opal/opal-9999.ebuild b/net-libs/opal/opal-9999.ebuild
new file mode 100644
index 0000000..fa26350
--- /dev/null
+++ b/net-libs/opal/opal-9999.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils flag-o-matic subversion autotools
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI=""
+
+ESVN_REPO_URI="https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/opal/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+
+S="${WORKDIR}/${P/_/}"
+
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug doc java versioncheck +plugins h323 h224 +h281 +g711plc"
+
+RDEPEND=">=dev-libs/ptlib-2.0.0
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+pkg_setup() {
+ if use debug && ! built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+ die "dev-libs/ptlib has to be built with USE=debug"
+ fi
+
+ if ! use debug && built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib without USE=debug."
+ die "dev-libs/ptlib has not to be built with USE=debug"
+ fi
+}
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+# eautoreconf
+}
+
+src_compile() {
+ local makeopts
+
+# filter-ldflags -Wl,--as-needed --as-needed
+
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+ $(use_enable debug) \
+ $(use_enable java) \
+ $(use_enable h323) \
+ $(use_enable h224) \
+ $(use_enable h281) \
+ $(use_enable g711plc) \
+ $(use_enable plugins) \
+ $(use_enable versioncheck) \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="debug"
+ else
+ makeopts="opt"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install || die "emake install failed"
+
+# if use doc; then
+# dohtml -r html/* docs/* || die "documentation installation failed"
+# fi
+}